# Properties

Properties in Prism — Micro Python reference.

Reference for Python SDK **0.8.0**.

[Release source](https://github.com/micro-so/micro-sdk-py/blob/v0.8.0/api.md) · [Setup and client configuration](/docs/reference/python)

## list

`GET /v2/prism/{teamId}/{objectType}/properties`

````text
client.prism.properties.list(object_type, *, team_id, **params) -> PropertyListResponse
````

Get metadata properties by object type

## list_all

`GET /v2/prism/{teamId}/properties`

````text
client.prism.properties.list_all(*, team_id, **params) -> PropertyListAllResponse
````

Get metadata properties

## Parameter and response types

These declarations show the request parameters and response shapes used by the methods above.

### PropertyListParams

[Source](https://github.com/micro-so/micro-sdk-py/blob/v0.8.0/src/micro_so/types/prism/property_list_params.py)

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `team_id` | `str` | No | API name: `teamId`. |
| `autofill` | `bool` | No | — |
| `list_id` | `str` | No | Scope properties to a specific list/app. |
| `term` | `str` | No | — |

<span id="property_list_responsepy"></span>

### PropertyListResponse

[Source](https://github.com/micro-so/micro-sdk-py/blob/v0.8.0/src/micro_so/types/prism/property_list_response.py)

`PropertyListResponse = Dict[str, object]`

### PropertyListAllParams

[Source](https://github.com/micro-so/micro-sdk-py/blob/v0.8.0/src/micro_so/types/prism/property_list_all_params.py)

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `team_id` | `str` | No | API name: `teamId`. |
| `autofill` | `bool` | No | — |
| `list_id` | `str` | No | Scope properties to a specific list/app. |
| `term` | `str` | No | — |

<span id="property_list_all_responsepy"></span>

### PropertyListAllResponse

[Source](https://github.com/micro-so/micro-sdk-py/blob/v0.8.0/src/micro_so/types/prism/property_list_all_response.py)

`PropertyListAllResponse = Dict[str, object]`
